---
updatedAt: 2026-04-23T18:12:51.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List account fund recoveries [beta]

Get all fund recoveries for an account

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Funds recovery"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "FundsRecoveryStatusQuery": {
        "name": "status",
        "in": "query",
        "schema": {
          "$ref": "#/components/schemas/FundsRecoveryStatus"
        }
      },
      "LimitQuery": {
        "name": "limit",
        "in": "query",
        "schema": {
          "type": "integer",
          "maximum": 200,
          "default": 20
        },
        "description": "Maximum results to return. Default is `20`. Maximum is `200`.",
        "example": 20
      },
      "ModifiedAfterQuery3": {
        "name": "modified_after",
        "in": "query",
        "description": "Only return fund recoveries modified at this datetime or after. Format = RFC 3339. For example -  `2023-04-12T23:20:50.52Z`.",
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "ModifiedBeforeQuery3": {
        "name": "modified_before",
        "in": "query",
        "description": "Only return fund recoveries modified at this datetime or before.  Format = RFC 3339.  For example -  `2023-04-12T23:20:50.52Z`.",
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "example": "2023-04-12T23:20:50.52Z"
      }
    },
    "schemas": {
      "ContactInformation": {
        "type": "object",
        "required": [
          "phone",
          "email"
        ],
        "properties": {
          "phone": {
            "type": "string",
            "maxLength": 16,
            "description": "Contact phone number",
            "example": "551154874551"
          },
          "email": {
            "type": "string",
            "description": "Contact email",
            "maxLength": 77,
            "example": "polly_ester@email.com"
          }
        }
      },
      "CreationDatetime": {
        "type": "string",
        "description": "Creation datetime. A RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`.",
        "format": "date-time",
        "example": "2020-08-13T13:49:03Z"
      },
      "FundsRecovery": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/FundsRecoveryId"
          },
          "status": {
            "$ref": "#/components/schemas/FundsRecoveryStatus"
          },
          "root_transaction_id": {
            "$ref": "#/components/schemas/RootTransactionID"
          },
          "situation_type": {
            "$ref": "#/components/schemas/SituationType"
          },
          "reporter_participant": {
            "$ref": "#/components/schemas/ReporterParticipant"
          },
          "report_details": {
            "$ref": "#/components/schemas/ReportDetails2"
          },
          "contact_information": {
            "$ref": "#/components/schemas/ContactInformation"
          },
          "created_at": {
            "$ref": "#/components/schemas/CreationDatetime"
          },
          "updated_at": {
            "$ref": "#/components/schemas/UpdatedDatetime"
          }
        }
      },
      "FundsRecoveryId": {
        "type": "string",
        "description": "Funds recovery identifier. \n\nReturned from the [Create funds recovery](https://developers.pismo.io/pismo-docs/reference/post-create-funds-recovery) endpoint.\n",
        "example": "53D0F66A-BAB0-49D7-B7DC-807B82AABD8D"
      },
      "FundsRecoveryStatus": {
        "type": "string",
        "description": "Funds recovery status:\n* `CREATED` - Recovery created, awaiting next action.\n* `TRACKED` - The transaction tracking graph has been created.\n* `AWAITING_ANALYSIS` - Awaiting analysis from receiver PSPs (deadline: 7 calendar days).\n* `ANALYSED` - Analysis completed, ready for refund.\n* `REFUNDING` - Refund process in progress.\n* `COMPLETED` - Recovery successfully completed.\n* `CANCELLED` - Recovery cancelled.\n",
        "enum": [
          "CREATED",
          "AWAITING_ANALYSIS",
          "TRACKED",
          "ANALYSED",
          "REFUNDING",
          "COMPLETED",
          "CANCELLED"
        ],
        "example": "CREATED"
      },
      "HasMoreElements": {
        "type": "boolean",
        "description": "Are there more items?",
        "example": true
      },
      "ListAccountFundRecoveriesResponse": {
        "type": "object",
        "properties": {
          "has_more_elements": {
            "$ref": "#/components/schemas/HasMoreElements"
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FundsRecovery"
            }
          }
        }
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      },
      "ReportDetails2": {
        "type": "string",
        "description": "Details about report",
        "maxLength": 500,
        "example": "Details that can help the receiving participant to analyze the suspected violation"
      },
      "ReporterParticipant": {
        "type": "string",
        "description": "Reporter participant ID",
        "example": "12345678"
      },
      "RootTransactionID": {
        "type": "string",
        "description": "Identifier of the contested transaction, 32 characters.\n\n  * Contesting an original transaction — its **end-to-end ID**, which begins with `E`.\n  * Contesting a reversal transaction — its **reversal end-to-end ID**, which begins with `D`.\n",
        "minLength": 32,
        "maxLength": 32,
        "example": "E1234567890123456789012345678901"
      },
      "SituationType": {
        "type": "string",
        "description": "Situation type:\n  * `SCAM` - Scam/fraud through social engineering\n  * `ACCOUNT_TAKEOVER` - Unauthorized transaction without digital authentication\n  * `COERCION` - Coercion crime (kidnapping, extortion)\n  * `FRAUDULENT_ACCESS` - Fraudulent access and authorization (phishing, stolen password) |\n  * `OTHER` - Other cases. This option **REQUIRES** you pass `report_details`.\n  * `UNKNOWN` - Unknown state\n\nWhen the contested transaction is a reversal, the DICT operating manual requires\n`situation_type` to be `OTHER`, which in turn makes `report_details` mandatory.\n",
        "enum": [
          "SCAM",
          "ACCOUNT_TAKEOVER",
          "COERCION",
          "FRAUDULENT_ACCESS",
          "OTHER",
          "UNKNOWN"
        ]
      },
      "UpdatedDatetime": {
        "type": "string",
        "description": "Updated datetime. A RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`.",
        "format": "date-time",
        "example": "2020-08-13T13:49:03Z"
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v1/pix/funds-recoveries": {
      "get": {
        "summary": "List account fund recoveries [beta]",
        "description": "Get all fund recoveries for an account",
        "operationId": "list-account-fund-recoveries",
        "tags": [
          "Funds recovery"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/FundsRecoveryStatusQuery"
          },
          {
            "$ref": "#/components/parameters/ModifiedAfterQuery3"
          },
          {
            "$ref": "#/components/parameters/ModifiedBeforeQuery3"
          },
          {
            "$ref": "#/components/parameters/LimitQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK - success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListAccountFundRecoveriesResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid funds recovery ID",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Provider service error": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "Invalid funds recovery ID format"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "No permission",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Participant no permission": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "Participant does not have access to this funds recovery"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Funds recovery not found": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "Funds recovery not found"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "description": "Timeout",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "DICT timeout": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "Timeout communicating with DICT"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```